#include "types.h"

#ifndef VIDEO_H
#define VIDEO_H

#ifdef VIDEO_IN

void video_init(VideoCapture *video_capture, const char *name,
                unsigned int preferred_height, unsigned int buffer_count);

void *video_background_read(void *args);

void video_free(const VideoCapture *video_capture);

#endif /* VIDEO_IN */

#endif /* VIDEO_H */
